package com.neusoft.smart.pos.member.persistent.mapper;

import com.neusoft.smart.pos.member.persistent.domain.MemberWithCard;
import com.neusoft.smart.pos.member.persistent.domain.MemberWithCardExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Mapper
@Component
public interface MemberWithCardMapper {
    int countByExample(MemberWithCardExample example);

    List<MemberWithCard> selectByExample(MemberWithCardExample example);

    MemberWithCard selectByMemberId(Integer memberId);

    List<Integer> selectIdsByExample(MemberWithCardExample example);
    
    int countByExample4Canteen(MemberWithCardExample example);

    List<MemberWithCard> selectByExample4Canteen(MemberWithCardExample example);

    MemberWithCard selectByMemberId4Canteen(@Param("memberId") Integer memberId, @Param("cardId") Integer cardId, @Param("isActive") Boolean isActive);

    List<Integer> selectIdsByExample4Canteen(MemberWithCardExample example);
}